Arbor 3: FSM & BT Graph Editor 3.6.0

Public Member Functions | Protected Member Functions | Properties | List of all members
TreeBehaviourNode Class Reference

TreeNodeBehaviourを持つノードの基本クラス More...

Inheritance diagram for TreeBehaviourNode:

## Public Member Functions
| TreeBehaviourNode (NodeGraph nodeGraph, int nodeID)
| TreeBehaviourNodeのコンストラクタ More...
Object | GetBehaviourObject ()
| メインのBehaviourのObjectを取得。 More...
Decorator | AddDecorator (System.Type type)
| Decoratorを追加。 More...
T | AddDecorator< T > ()
| Decoratorを追加。 More...
Decorator | InsertDecorator (int index, System.Type type)
| Decoratorを挿入。 More...
T | InsertDecorator< T > (int index)
| Decoratorを挿入。 More...
Service | AddService (System.Type type)
| Serviceを追加。 More...
T | AddService< T > ()
| Serviceを追加。 More...
Service | InsertService (int index, System.Type type)
| Serviceを挿入。 More...
T | InsertService< T > (int index)
| Serviceを挿入。 More...
override bool | IsContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourを含んでいるかをチェックする。 More...
void | MoveDecorator (int fromIndex, TreeBehaviourNode toNode, int toIndex)
| Decoratorの順番を移動する。 More...
void | MoveService (int fromIndex, TreeBehaviourNode toNode, int toIndex)
| Serviceの順番を移動する。 More...
void | DestroyBehaviour ()
| Behaviourを破棄。 More...
void | DestroyAllBehaviour ()
| 全てのBehaviourを破棄。 More...
Public Member Functions inherited from TreeNodeBase
| TreeNodeBase (NodeGraph nodeGraph, int nodeID)
| TreeNodeBaseのコンストラクタ More...
abstract bool | HasParentLinkSlot ()
| 親へのNodeLinkSlotを持っているかどうか More...
virtual NodeLinkSlot | GetParentLinkSlot ()
| 親へのNodeLinkSlotを取得。 More...
abstract bool | HasChildLinkSlot ()
| 子へのNodeLinkSlotを持っているかどうか More...
override bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Nodeのコンストラクタ More...
virtual string | GetName ()
| ノードの名前を取得 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...

## Protected Member Functions
override void | OnGraphChanged ()
| Nodeが所属するNodeGraphが変わった際に呼ばれる。 More...
void | SetBehaviour (TreeNodeBehaviour behaviour)
| メインのBehaviourを設定 More...
Protected Member Functions inherited from TreeNodeBase
abstract void | OnExecute ()
| 実行する際に呼ばれる。 More...

## Properties
TreeNodeBehaviour | behaviour`[get]`
| メインのBehaviour More...
DecoratorList | decoratorList`[get]`
| Decoratorのリスト More...
ServiceList | serviceList`[get]`
| Serviceのリスト More...
bool | breakPoint`[get, set]`
| Break point. More...
Properties inherited from TreeNodeBase
bool | enablePriority`[get]`
| ルートノードから辿って接続されていればtrueを返す。 More...
int | priority`[get]`
| ノードの優先順位。 More...
BehaviourTreeInternal | behaviourTree`[get]`
| ビヘイビアツリーを取得。 More...
TreeNodeBase | parentNode`[get]`
| 親ノードを取得。 More...
NodeStatus | status`[get]`
| ノードの状態。 More...
bool | isActive`[get]`
| アクティブならtrueを返す。 More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...

## Additional Inherited Members
Public Attributes inherited from Node
Rect | position
| Arbor Editor上での位置。 More...
bool | showComment
| コメントを表示するかどうか More...
string | nodeComment
| コメント More...

## Detailed Description

TreeNodeBehaviourを持つノードの基本クラス

## Constructor & Destructor Documentation

## ◆ TreeBehaviourNode()

TreeBehaviourNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

TreeBehaviourNodeのコンストラクタ

Parameters

  nodeGraph | このノードを持つNodeGraph
  nodeID | ノードID

## Member Function Documentation

## ◆ AddDecorator()

Decorator AddDecorator | ( | System.Type | type | ) |

Decoratorを追加。

Parameters

  type | 追加するStateBehaviourの型

Returns
  追加したStateBehaviour

## ◆ AddDecorator< T >()

T AddDecorator< T > | ( |  | ) |

Decoratorを追加。

Template Parameters

  T | 追加するDecoratorの型

Returns
  追加したDecorator

Type Constraints

  T | : | Decorator |

## ◆ AddService()

Service AddService | ( | System.Type | type | ) |

Serviceを追加。

Parameters

  type | 追加するServiceの型

Returns
  追加したService

## ◆ AddService< T >()

T AddService< T > | ( |  | ) |

Serviceを追加。

Template Parameters

  T | 追加するServiceの型

Returns
  追加したService

Type Constraints

  T | : | Service |

## ◆ DestroyAllBehaviour()

void DestroyAllBehaviour | ( |  | ) |

全てのBehaviourを破棄。

## ◆ DestroyBehaviour()

void DestroyBehaviour | ( |  | ) |

Behaviourを破棄。

## ◆ GetBehaviourObject()

Object GetBehaviourObject | ( |  | ) |

メインのBehaviourのObjectを取得。

Returns
  メインのBehaviourのObject

## ◆ InsertDecorator()

Decorator InsertDecorator | ( | int | index,
|  | System.Type | type
| ) |  |

Decoratorを挿入。

Parameters

  index | 挿入先インデックス
  type | 追加するDecoratorの型

Returns
  挿入したDecorator

## ◆ InsertDecorator< T >()

T InsertDecorator< T > | ( | int | index | ) |

Decoratorを挿入。

Template Parameters

  T | 挿入するDecoratorの型

Parameters

  index | 挿入先インデックス

Returns
  挿入したDecorator

Type Constraints

  T | : | Decorator |

## ◆ InsertService()

Service InsertService | ( | int | index,
|  | System.Type | type
| ) |  |

Serviceを挿入。

Parameters

  index | 挿入先インデックス
  type | 追加するServiceの型

Returns
  挿入したService

## ◆ InsertService< T >()

T InsertService< T > | ( | int | index | ) |

Serviceを挿入。

Template Parameters

  T | 挿入するServiceの型

Parameters

  index | 挿入先インデックス

Returns
  挿入したService

Type Constraints

  T | : | Service |

## ◆ IsContainsBehaviour()

override bool IsContainsBehaviour | ( | NodeBehaviour | behaviour | ) |
| virtual

NodeBehaviourを含んでいるかをチェックする。

Parameters

  behaviour | チェックするNodeBehaviour

Returns
  NodeBehaviourを含んでいる場合にtrueを返す。

Reimplemented from Node.

## ◆ MoveDecorator()

void MoveDecorator | ( | int | fromIndex,
|  | TreeBehaviourNode | toNode,
|  | int | toIndex
| ) |  |

Decoratorの順番を移動する。

Parameters

  fromIndex | 移動させたいインデックス。
  toNode | 移動先のNode。
  toIndex | 移動先のインデックス。

## ◆ MoveService()

void MoveService | ( | int | fromIndex,
|  | TreeBehaviourNode | toNode,
|  | int | toIndex
| ) |  |

Serviceの順番を移動する。

Parameters

  fromIndex | 移動させたいインデックス。
  toNode | 移動先のNode。
  toIndex | 移動先のインデックス。

## ◆ OnGraphChanged()

override void OnGraphChanged | ( |  | ) |
| protected virtual

Nodeが所属するNodeGraphが変わった際に呼ばれる。

Reimplemented from Node.

## ◆ SetBehaviour()

void SetBehaviour | ( | TreeNodeBehaviour | behaviour | ) |
| protected

メインのBehaviourを設定

Parameters

  behaviour | Behaviour

## Property Documentation

## ◆ behaviour

TreeNodeBehaviour behaviour
| get

メインのBehaviour

## ◆ breakPoint

bool breakPoint
| get set

Break point.

When this property is true, the editor will be paused when the node becomes active.

## ◆ decoratorList

DecoratorList decoratorList
| get

Decoratorのリスト

## ◆ serviceList

ServiceList serviceList
| get

Serviceのリスト